# 
# anyRemote - a bluetooth remote for your PC.
#
# Copyright (C) 2007-2018 Mikhail Fedotov <anyremote@mail.ru>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# 

SUBDIRS = src

EXTRA_DIST = INSTALL NEWS README COPYING AUTHORS TODO anyremote.1.gz ChangeLog doc-html keymaps cfg-data specs

install-data-local:
	test -z $(DESTDIR)$(pkgdatadir) || mkdir -p -- . $(DESTDIR)$(pkgdatadir)
	test -z $(DESTDIR)$(docdir) || mkdir -p -- . $(DESTDIR)$(docdir)
	cp -r cfg-data $(DESTDIR)$(pkgdatadir)
	rm -rf $(DESTDIR)$(pkgdatadir)/cfg-data/obsoleted
	cp -r doc-html ChangeLog README COPYING AUTHORS $(DESTDIR)$(docdir)/
	find $(DESTDIR)$(pkgdatadir) $(DESTDIR)$(docdir) -type f -exec chmod 644 {} \;
	chmod a+x $(DESTDIR)$(pkgdatadir)/cfg-data/Utils/all-in-1.py 
	chmod a+x $(DESTDIR)$(pkgdatadir)/cfg-data/Utils/generate_cover.sh
	chmod a+x $(DESTDIR)$(pkgdatadir)/cfg-data/Utils/generate_poster.sh
	chmod a+x $(DESTDIR)$(pkgdatadir)/cfg-data/Utils/getPlayList.sh
	chmod a+x $(DESTDIR)$(pkgdatadir)/cfg-data/Utils/get-installed.sh
	chmod a+x $(DESTDIR)$(pkgdatadir)/cfg-data/Utils/message.sh 
	chmod a+x $(DESTDIR)$(pkgdatadir)/cfg-data/Utils/pulse-audio-ctl.sh
	chmod a+x $(DESTDIR)$(pkgdatadir)/cfg-data/Utils/registry.sh
	chmod a+x $(DESTDIR)$(pkgdatadir)/cfg-data/Utils/run-or-switch-to.sh
	chmod a+x $(DESTDIR)$(pkgdatadir)/cfg-data/Utils/weather.sh
	find $(DESTDIR)$(pkgdatadir) $(DESTDIR)$(docdir) -type d -exec chmod 755 {} \;
	test -z $(DESTDIR)$(datadir)/man/man1 || mkdir -p -- . $(DESTDIR)$(datadir)/man/man1
	cp -r anyremote.1.gz $(DESTDIR)$(datadir)/man/man1
	chmod 644 $(DESTDIR)$(datadir)/man/man1/anyremote.1.gz

uninstall-local:
	rm -rf $(DESTDIR)$(pkgdatadir)
	rm -rf $(DESTDIR)$(docdir)
	rm -f $(DESTDIR)$(datadir)/man/man1/anyremote.1.gz
